OSPFD(8)

NAME
ospfd - an OSPF v2 routing engine for use with Zebra

SYNOPSIS
ospfd [ -dhlv ] [ -f config-file ] [ -i pid-file ] [ -P port-number ]

DESCRIPTION
ospfd is a routing component that works with the zebra routing engine.

OPTIONS

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/ospfd.conf.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When ospfd starts its process idenifier is written to pid-file. The init system uses the recorded PID to stop or restart ospfd. The likely default is /var/run/ospfd.pid.

-l, --log_mode
    Turn verbose logging on.

-P, --vty_port port-number
    Specify the port that the ospfd VTY will listen on. This defaults to 2604, as specified in /etc/services.

-v, --version
    Print the version and exit.

COMMANDS
router ospf router zebra -- (Move routes into kernel table) network [NETWORK] area [OSPF-AREA-ID] no network [NETWORK] show ip ospf interface show ip ospf neighbor show ip ospf database show ip ospf route debug ospf ism debug ospf packet debug ospf nsm

FILES

/usr/local/sbin/ospfd
    The default location of the ospfd binary.

/usr/local/etc/ospfd.conf
    The default location of the ospfd config file.

$(PWD)/ospfd.log
    If the ospfd process is config'd to output logs to a file, then you will find this file in the directory where you started ospfd.

WARNING
This man page is intended as a quick reference for command line options, and for config file commands. The definitive document is the Info file zebra.

DIAGNOSTICS
The ospfd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. ospfd supports many debugging options, see the Info file, or the source for details.

SEE ALSO
References to other related man pages: ripd(8), ripngd(8), ospf6d(8), bgpd(8), zebra(8), vtysh(1)

BUGS
ospfd eats bugs for breakfast. If you have food for the maintainers try <bug-zebra@gnu.org>

AUTHOR[S]
See <www.zebra.org>, or the Info file for an accurate list of authors.